POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "04bce4e5-e20c-49a6-950a-50e77c958fae",
"selected_sticker_id": "860ae2d6-dd35-4b95-97da-a66ce4b5b324",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "cf19e2e2-357f-4ea0-8741-f485e43a9ede",
"site_id": "d4cebf85-f1c3-4dcf-bfb8-5c43b6f04253"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "cf19e2e2-357f-4ea0-8741-f485e43a9ede",
"site_id": "d4cebf85-f1c3-4dcf-bfb8-5c43b6f04253"
}
],
"active": true,
"certificate_type_id": "c881134a-38f9-4261-b84e-294208977967",
"code": 1,
"delay_between_scans": 1,
"id": "7cd22e95-ccfd-47fb-b875-b6d951200e80",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "8afc33ce-a4a9-43a9-9b85-470d86def531",
"packing_type_id": "25932591-ab91-4861-93bf-4a10c413bb70",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "863a956a-93c5-4e80-a1dd-ad111cfb8955",
"remark": "sample string 14",
"site_customer_id": "7488cd90-dfc7-4eab-ae57-257c2cdf6f32",
"sorting_type_id": "f5b46371-b849-4ba5-a37b-103c3c89018b",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>c881134a-38f9-4261-b84e-294208977967</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>7cd22e95-ccfd-47fb-b875-b6d951200e80</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>8afc33ce-a4a9-43a9-9b85-470d86def531</packaging_type_id>
<packing_type_id>25932591-ab91-4861-93bf-4a10c413bb70</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>863a956a-93c5-4e80-a1dd-ad111cfb8955</pool_id>
<remark>sample string 14</remark>
<site_customer_id>7488cd90-dfc7-4eab-ae57-257c2cdf6f32</site_customer_id>
<sorting_type_id>f5b46371-b849-4ba5-a37b-103c3c89018b</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>04bce4e5-e20c-49a6-950a-50e77c958fae</selected_nameplate_id>
<selected_sticker_id>860ae2d6-dd35-4b95-97da-a66ce4b5b324</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>cf19e2e2-357f-4ea0-8741-f485e43a9ede</id>
<site_id>d4cebf85-f1c3-4dcf-bfb8-5c43b6f04253</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>cf19e2e2-357f-4ea0-8741-f485e43a9ede</id>
<site_id>d4cebf85-f1c3-4dcf-bfb8-5c43b6f04253</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"83c40c2d-d30d-474d-888f-3320becde3ff"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">83c40c2d-d30d-474d-888f-3320becde3ff</guid>